Bug 803909 - right-click should select editor row
right-click should select editor row
Status: CLOSED CURRENTRELEASE
Product: Zanata
Classification: Community
Component: Component-UI (Show other bugs)
1.5
Unspecified Linux
high Severity medium
: ---
: 2.1
Assigned To: Patrick Huang
Ding-Yi Chen
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-03-15 19:11 EDT by Hedda Peters
Modified: 2013-02-25 23:06 EST (History)
5 users (show)

See Also:
Fixed In Version: 2.0.3-SNAPSHOT (20121128-1507)
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-02-25 23:06:25 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Editor/Focus mismatch, with TM match copied into wrong message (190.09 KB, image/png)
2012-03-15 19:13 EDT, Hedda Peters
no flags Details

  None (edit)
Description Hedda Peters 2012-03-15 19:11:31 EDT
User-Agent:       Mozilla/5.0 (X11; Linux x86_64; rv:9.0.1) Gecko/20100101 Firefox/9.0.1

When the editor is open, then right-clicking into a new message won't open the editor for that message - however, the focus changes to that message and TM matches are displayed for it.


Reproducible: Always

Steps to Reproduce:
1. Left-click into a message A to open it in the editor
2. Now right-click into message B

Actual Results:  

The editor for message A stays open. However, the focus changes to message B. TM matches are displayed for message B.

Expected Results:  
The editor as well as the focus should shift to message B (or neither should react to right-click at all)

The dangerous thing is that this makes it possibile to copy a TM match into the wrong message - I've done it... 

This is not specific to 1.5, it happened in previous versions, too.
Comment 1 Hedda Peters 2012-03-15 19:13:54 EDT
Created attachment 570451 [details]
Editor/Focus mismatch, with TM match copied into wrong message
Comment 2 Sean Flanigan 2012-07-03 01:49:40 EDT
I don't think Zanata should react to right-click at all.  Apart from the issue found by Hedda, it makes using web browsers' inspector features quite painful.
Comment 3 Runa Bhattacharjee 2012-07-30 09:29:27 EDT
Request for technical evaluation, if this is still a problem.
Comment 4 Michelle Kim 2012-11-06 02:22:43 EST
I can not reproduce this bug in 2.0 
Can anyone verify and see if this bug is now fixed in 2.0 onwards?

Thanks
Michelle
Comment 5 David Mason 2012-11-07 22:58:51 EST
The problem with the editor is no longer present, however right-clicking in another editor will select the editor without showing the row as selected and without updating TM matches.
It is no longer possible to copy a TM match to the wrong row, but copying from TM applies to the selected row, rather than the row with the editor that has focus.
The focused row should always also be the selected row.

Steps to Reproduce:
1. Left-click in the editor of a message A to select and focus the message
2. Type some characters, do not save
3. Right-click in the editor of a different message B
4. Press Esc or left-click in editor B to close the right-click menu
5. Type some characters, do not save
6. Left-click in another editor C

Actual Results:
3-4. editor B has focus but message A is still selected and does not save. TM results for message A still shown.
5. both editors A and B are highlighted as editing
6. message A saves, message B does not save

Expected Results:
3-4. message A auto-saves and is no longer selected, message B is selected and has TM results; OR message B is not focused.
5. only a single message is ever highlighted
6. (message A already saved) message B saves.
Comment 6 Patrick Huang 2012-11-18 22:59:51 EST
committed into master:
https://github.com/zanata/zanata/commit/ef120a01913519f113bf16b8257e155a63366989
Comment 7 Ding-Yi Chen 2012-11-19 22:43:09 EST
Tested with Zanata version 2.1-SNAPSHOT (20121120-1004)
and Zanata version 2.0.3-SNAPSHOT (20121119-0019).

This bug is fixed in 2.1 but not 2.0.3. Please commit the change to Release branch.
Comment 8 Patrick Huang 2012-11-19 22:51:37 EST
Committed into release already.
Comment 9 Ding-Yi Chen 2012-11-28 23:03:42 EST
VERIFIED with Zanata version 2.0.3-SNAPSHOT (20121128-1507)
and Zanata version 2.1-SNAPSHOT (20121128-1048)

with Google Chrome 22.0.1229.94
and Firefox 16.0.2

Note You need to log in before you can comment on or make changes to this bug.